elm::menu Struct Reference

Public Member Functions
elm::menu Struct Reference

Class menu. More...

## Public Member Functions
| menu (Eo *eo)
| Eo Constructor. More...
| menu (std::nullptr_t)
| nullptr_t Constructor. More...
| menu (menu const &other)
| Copy Constructor.
void | move (Evas_Coord x_, Evas_Coord y_) const
::elm::widget_item | item_add (::elm::widget_item parent_, ::efl::eina::optional< ::efl::eina::string_view > icon_, ::efl::eina::string_view label_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_separator_add (::elm::widget_item parent_) const
| menu (::efl::eo::parent_type _p)
| Constructs a new elm::menu object. More...

## Detailed Description

Class menu.

## Constructor & Destructor Documentation

## ◆ menu() [1/3]

elm::menu::menu | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::menu object.

Constructs a new elm::menu object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::menu my_menu(efl::eo::parent = parent_object);

See also
  menu(Eo* eo)

## ◆ menu() [2/3]

elm::menu::menu | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ menu() [3/3]

elm::menu::menu | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ item_add()

::elm::widget_item elm::menu::item_add | ( | ::elm::widget_item | parent_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | icon_,
|  | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  parent |
  icon |
  label |
  func |
  data |

## ◆ item_separator_add()

::elm::widget_item elm::menu::item_separator_add | ( | ::elm::widget_item | parent_ | ) | const

Parameters

  parent |

## ◆ move()

void elm::menu::move | ( | Evas_Coord | x_,
|  | Evas_Coord | y_
| ) |  | const

Parameters

  x |
  y |